GlobalInfoJavadoc

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Class GlobalInfoJavadoc

    java.lang.Object
      weka.core.Javadoc
          weka.core.GlobalInfoJavadoc

All Implemented Interfaces:
  OptionHandler, RevisionHandler

    public class GlobalInfoJavadoc

extends Javadoc

Generates Javadoc comments from the class's globalInfo method. Can automatically update the comments if they're surrounded by the GLOBALINFO_STARTTAG and GLOBALINFO_ENDTAG (the indention is determined via the GLOBALINFO_STARTTAG).

Valid options are:

     -W <classname>
      The class to load.

     -nostars
      Suppresses the '*' in the Javadoc.

     -dir <dir>
      The directory above the package hierarchy of the class.

     -silent
      Suppresses printing in the console.

Version:
  $Revision: 1.7 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  `GLOBALINFO_METHOD`, `GLOBALINFO_STARTTAG`, `GLOBALINFO_ENDTAG`

Field Summary
`static java.lang.String` | `GLOBALINFO_ENDTAG` the end comment tag for inserting the generated Javadoc
`static java.lang.String` | `GLOBALINFO_METHOD` the globalInfo method name
`static java.lang.String` | `GLOBALINFO_STARTTAG` the start comment tag for inserting the generated Javadoc

Constructor Summary
`GlobalInfoJavadoc()` default constructor

Method Summary
`java.lang.String` | `getRevision()` Returns the revision string.
`static void` | `main(java.lang.String[] args)` Parses the given commandline parameters and generates the Javadoc.

Methods inherited from class weka.core.Javadoc
`generate, generateHelp, getClassname, getDir, getOptions, getSilent, getUseStars, listOptions, setClassname, setDir, setOptions, setSilent, setUseStars, updateJavadoc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBALINFO_METHOD

    public static final java.lang.String GLOBALINFO_METHOD

  the globalInfo method name

  See Also:
    Constant Field Values

### GLOBALINFO_STARTTAG

    public static final java.lang.String GLOBALINFO_STARTTAG

  the start comment tag for inserting the generated Javadoc

  See Also:
    Constant Field Values

### GLOBALINFO_ENDTAG

    public static final java.lang.String GLOBALINFO_ENDTAG

  the end comment tag for inserting the generated Javadoc

  See Also:
    Constant Field Values

Constructor Detail

### GlobalInfoJavadoc

    public GlobalInfoJavadoc()

  default constructor

Method Detail

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Returns:
    the revision

### main

    public static void main(java.lang.String[] args)

  Parses the given commandline parameters and generates the Javadoc.

  Parameters:
    `args` - the commandline parameters for the object

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD